/* General styles */
* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

html {
  font-size: 62.5%;
  scroll-behavior: smooth;
}

body {
  height: 100vh;
  background-color: rgb(10, 10, 10);
  font-family: 'Whitney', -apple-system, BlinkMacSystemFont, Segoe UI, Roboto, Helvetica, Arial, sans-serif;
  cursor: default;
}

/* Root styles */
:root {
  --primary-color: #c9ffcc;
  --secondary-color: #6aff03;
  --error-color: #ff5d5d;
  --shadow-color: rgba(0, 0, 0, 0.2);
}

/* Utility classes */
.container {
  display: flex;
  align-items: center;
  justify-content: center;
}

.centered {
  align-items: center;
}

.flex-column {
  flex-direction: column;
}

.gap-50px {
  gap: 50px;
}

.gap-20px {
  gap: 20px;
}

.padding-top-200px {
  padding-top: 200px;
}

.width-300px {
  width: 300px;
}

.width-80 {
  width: 80%;
}

.height-80vh {
  height: 80vh;
}

.height-93vh {
  height: 93vh;
}

.padding-40px-0 {
  padding: 40px 0;
}

.cursor-pointer {
  cursor: pointer;
}

/* Input styles */
.input {
  color: #dbffb1;
  border: 2px solid var(--primary-color);
  padding: 10px 25px;
  background: transparent;
  width: 100%;
  max-width: 300px;
}

.input:active {
  box-shadow: 2px 2px 15px var(--shadow-color) inset;
}

.input:focus {
  outline: none;
}

.input:invalid {
  border-color: var(--error-color);
}

/* Button styles */
.button {
  padding: 10px 25px;
  border: 2px solid var(--primary-color);
  background-color: white;
  color: black;
  font-family: 'Orbitron', sans-serif;
  font-weight: 600;
  cursor: pointer;
}

.button:hover {
  background-color: var(--secondary-color);
  color: white;
  border-color: black;
}

/* Loader styles */
.loader {
  position: absolute;
  top: 200px;
  width: 50px;
  height: 50px;
  margin: 0 40%;
  border-radius: 10px;
  overflow: hidden;
}

.loader div {
  width: 8%;
  height: 24%;
  background: rgb(128, 128, 128);
  position: absolute;
  left: 50%;
  top: 30%;
  opacity: 0;
  border-radius: 50px;
  box-shadow: 0 0 3px var(--shadow-color);
  animation: fade458 1s linear infinite;
}

@keyframes fade458 {
  from {
    opacity: 1;
  }

  to {
    opacity: 0.25;
  }
}

.loader .bar1 {
  transform: rotate(0deg) translate(0, -130%);
  animation-delay: 0s;
}

.loader .bar2 {
  transform: rotate(30deg) translate(0, -130%);
  animation-delay: -1.1s;
}

.loader .bar3 {
  transform: rotate(60deg) translate(0, -130%);
  animation-delay: -1s;
}

.loader .bar4 {
  transform: rotate(90deg) translate(0, -130%);
  animation-delay: -0.9s;
}

.loader .bar5 {
  transform: rotate(120deg) translate(0, -130%);
  animation-delay: -0.8s;
}

.loader .bar6 {
  transform: rotate(150deg) translate(0, -130%);
  animation-delay: -0.7s;
}

.loader .bar7 {
  transform: rotate(180deg) translate(0, -130%);
  animation-delay: -0.6s;
}

.loader .bar8 {
  transform: rotate(210deg) translate(0, -130%);
  animation-delay: -0.5s;
}

.loader .bar9 {
  transform: rotate(240deg) translate(0, -130%);
  animation-delay: -0.4s;
}

.loader .bar10 {
  transform: rotate(270deg) translate(0, -130%);
  animation-delay: -0.3s;
}

.loader .bar11 {
  transform: rotate(300deg) translate(0, -130%);
  animation-delay: -0.2s;
}

.loader .bar12 {
  transform: rotate(330deg) translate(0, -130%);
  animation-delay: -0.1s;
}

/* QR container styles */
.Qr-container {
  position: absolute;
  z-index: 5;
  width: 80%;
  height: 80vh;
  background-color: rgba(44, 44, 44, 0.521);
  backdrop-filter: blur(15px);
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-between;
  gap: 20px;
  padding: 40px 0 40px 0;
  display: none;
}

/* Exit button styles */
.exit {
  position: relative;
  width: 50px;
  height: 50px;
  background-color: white;
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  cursor: pointer;
  transition-duration: .3s;
}

.line1,
.line2 {
  position: absolute;
  width: 45%;
  height: 2px;
  background-color: var(--error-color);
  transition-duration: .3s;
}

.line1 {
  transform: rotate(45deg);
}

.line2 {
  transform: rotate(-45deg);
}

.exit:hover {
  transform: translateY(-5px);
  transition-duration: .3s;
}

.exit:hover .line2 {
  background-color: red;
  transition-duration: .3s;
}

.exit:hover .line1 {
  background-color: red;
  transition-duration: .3s;
}

/* Download button styles */
.downloadBtnContainer {
  width: 250px;
  height: fit-content;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  gap: 20px;
}

.downloadHeading {
  color: #cfffad;
  font-size: 2rem;
  font-weight: 500;
  font-family: 'Orbitron';
}

.download {
  width: 100%;
  height: 35px;
  font-weight: 600;
  background-color: transparent;
  color: white;
  border: 1px solid white;
  cursor: pointer;
  font-family: 'Orbitron';
  font-size: 1.3rem;
}

.download:hover {
  background-color: var(--secondary-color);
  color: black;
}

/* Footer container styles */
.footerContainer {
  height: 7vh;
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
}

.footerContainer p {
  color: rgb(176, 176, 176);
  font-size: 1.3rem;
  font-family: 'Orbitron';
}

.footerContainer a {
  text-decoration: none;
  color: #6aff03;
}

.fa-copyright {
  font-size: 1.3rem;
  color: rgb(176, 176, 176);
}

/* Media queries */
@media screen and (max-width: 1920px) {
  html {
    font-size: 60%;
  }
}

@media screen and (max-width: 1200px) {
  html {
    font-size: 60%;
  }
}

@media screen and (max-width: 998px) {
  html {
    font-size: 55%;
  }

  .top-logo-container img {
    width: 50%;
  }
}

@media screen and (max-width: 768px) {
  html {
    font-size: 50%;
  }
}

@media screen and (max-width: 500px) {
  html {
    font-size: 45%;
  }

  .top-logo-container img {
    width: 60%;
  }

  .downloadBtnContainer {
    width: 80%;
  }

  .buttonRow {
    flex-direction: column;
  }

  .download {
    width: 40%;
  }
}

@media screen and (max-width: 430px) {
  html {
    font-size: 43%;
  }

  .loader {
    top: 130px;
  }

  .Qr-container img {
    width: 80%;
    padding: 0;
  }
}

@media screen and (max-width: 375px) {
  html {
    font-size: 40%;
  }

  .main-container {
    gap: 10px;
  }

  .input {
    width: 70%;
  }
}

@media screen and (max-width: 300px) {
  html {
    font-size: 40%;
  }
}
